com.smartgwt.client.bean.types

## Class StringValueType

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<java.lang.String>
  - - com.smartgwt.client.bean.types.StringValueType

-     public class StringValueType
      extends BeanValueType<java.lang.String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringValueType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `protected BeanValueType.Convertability` | `convertabilityToString()`
    `java.lang.String` | `convertFrom(java.lang.Object value)`
    `protected java.lang.String` | `convertFromArray(boolean[] value)`
    `protected java.lang.String` | `convertFromArray(double[] value)`
    `protected java.lang.String` | `convertFromArray(float[] value)`
    `protected java.lang.String` | `convertFromArray(int[] value)`
    `protected java.lang.String` | `convertFromArray(long[] value)`
    `protected java.lang.String` | `convertFromPrimitiveArray(java.lang.Object value)`
    `java.lang.String` | `convertToPrimitiveString(java.lang.String string)`
    `protected java.lang.Class` | `getValueType()`
    `protected boolean` | `isAssignableFrom(java.lang.Object value)`
    `static void` | `registerValueType()`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringValueType

          public StringValueType()

  - ### Method Detail

    - #### registerValueType

          public static void registerValueType()

    - #### getValueType

          protected java.lang.Class getValueType()

      Specified by:
        `getValueType` in class `BeanValueType<java.lang.String>`

    - #### isAssignableFrom

          protected boolean isAssignableFrom(java.lang.Object value)

      Specified by:
        `isAssignableFrom` in class `BeanValueType<java.lang.String>`

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `BeanValueType<java.lang.String>`

    - #### convertabilityToString

          protected BeanValueType.Convertability convertabilityToString()

      Overrides:
        `convertabilityToString` in class `BeanValueType<java.lang.String>`

    - #### convertToPrimitiveString

          public java.lang.String convertToPrimitiveString(java.lang.String string)

    - #### convertFrom

          public java.lang.String convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `BeanValueType<java.lang.String>`

    - #### convertFromPrimitiveArray

          protected java.lang.String convertFromPrimitiveArray(java.lang.Object value)

    - #### convertFromArray

          protected java.lang.String convertFromArray(boolean[] value)

    - #### convertFromArray

          protected java.lang.String convertFromArray(double[] value)

    - #### convertFromArray

          protected java.lang.String convertFromArray(float[] value)

    - #### convertFromArray

          protected java.lang.String convertFromArray(int[] value)

    - #### convertFromArray

          protected java.lang.String convertFromArray(long[] value)